import { ISyncAuthListener } from './ISyncAuthListener';
/**
 * State sync configuration
 */
export declare class SyncConfig {
    /**
     * If true, library do not connect to server, instead of that
     */
    local?: boolean;
    url: string;
    debug: boolean;
    timeout: number;
    debugConnectFrame: boolean;
    authListener: ISyncAuthListener;
    csrfUrl?: string;
    checkTokenUrl?: string;
    accessToken: string;
    constructor();
    static build(url: string, config?: SyncConfig): SyncConfig;
}
