export interface Invocation {
    id: number;
    resolve: (value?: number) => void;
    reject: (reason?: any) => void;
}
export declare class InvocationMap {
    private lastRequestId;
    private invocations;
    timeout: number;
    isEmpty(): boolean;
    request(sender: (id: number) => void): Promise<number>;
    response(forId: number): boolean;
    error(forId: number, error: string): boolean;
}
