export interface PatchOperation {
    op: string;
    path: string;
    value?: string;
    from?: string;
}
export declare abstract class Op {
    path: string[];
    constructor(src: PatchOperation);
    abstract apply(json: any): any;
}
export declare class OpSelect extends Op {
    private root;
    constructor(src: PatchOperation);
    apply(json: any): any;
}
export declare class Patch {
    private patches;
    constructor(src: PatchOperation[]);
    apply(json: object): object;
}
